diff --git a/InnerDetector/InDetValidation/InDetPhysValMonitoring/test/test_run4_acts_hgtd_dataprep_ttbar_PU200.sh b/InnerDetector/InDetValidation/InDetPhysValMonitoring/test/test_run4_acts_hgtd_dataprep_ttbar_PU200.sh
index 91614b4e13c2a1e2a9ffc656710d67e8ae731e58..f16f306c7f9fa6f96916c7e4dad6d09c7953e965 100755
--- a/InnerDetector/InDetValidation/InDetPhysValMonitoring/test/test_run4_acts_hgtd_dataprep_ttbar_PU200.sh
+++ b/InnerDetector/InDetValidation/InDetPhysValMonitoring/test/test_run4_acts_hgtd_dataprep_ttbar_PU200.sh
@@ -53,7 +53,7 @@ if [ $reco_rc != 0 ]; then
     exit $reco_rc
 fi
 
-run "IDPVM" \
+run "IDPVM-athena" \
     runIDPVM.py \
     --filesInput AOD.athena.root \
     --outputFile idpvm.athena.root \
@@ -64,13 +64,55 @@ if [ $reco_rc != 0 ]; then
     exit $reco_rc
 fi
 
+run "Reconstruction-acts" \
+    Reco_tf.py --CA \
+    --inputRDOFile ${rdo_23p0} \
+    --outputAODFile AOD.acts.root \
+    --steering doRAWtoALL \
+    --preInclude "InDetConfig.ConfigurationHelpers.OnlyTrackingPreInclude" \
+    --postInclude "ActsConfig.ActsClusterizationConfig.ActsHgtdClusterizationAlgCfg,ActsConfig.ActsPostIncludes.PersistifyActsEDMCfg" \
+    --preExec "flags.Reco.EnableHGTDExtension=True;flags.Acts.EDM.PersistifyClusters=True" \
+    --maxEvents ${nEvents} \
+    --perfmon fullmonmt \
+    --multithreaded
+
+reco_rc=$?
+if [ $reco_rc != 0 ]; then
+    exit $reco_rc
+fi
+
+run "IDPVM-acts" \
+    runIDPVM.py \
+    --filesInput AOD.acts.root \
+    --outputFile idpvm.acts.root \
+    --doActs --doHGTD
+
+reco_rc=$?
+if [ $reco_rc != 0 ]; then
+    exit $reco_rc
+fi
+
 echo "download latest result..."
 art.py download --user=artprod --dst="$lastref_dir" "$ArtPackage" "$ArtJobName"
 ls -la "$lastref_dir"
 
+run "dcube-last-acts" \
+    $ATLAS_LOCAL_ROOT/dcube/current/DCubeClient/python/dcube.py \
+    -p -x dcube_acts_last \
+    -c ${dcubeXmlAbsPath} \
+    -r ${lastref_dir}/idpvm.acts.root \
+    idpvm.acts.root
+
 run "dcube-last-athena" \
     $ATLAS_LOCAL_ROOT/dcube/current/DCubeClient/python/dcube.py \
-    -p -x dcube_last \
+    -p -x dcube_athena_last \
     -c ${dcubeXmlAbsPath} \
     -r ${lastref_dir}/idpvm.athena.root \
     idpvm.athena.root
+
+run "dcube-athena-acts" \
+    $ATLAS_LOCAL_ROOT/dcube/current/DCubeClient/python/dcube.py \
+    -p -x dcube_athena_acts \
+    -c ${dcubeXmlAbsPath} \
+    -r idpvm.athena.root \
+    idpvm.acts.root